package com.palmnest.application.dto.output;

import java.io.Serializable;

public class IntegralRecodeDto implements Serializable{

	/**
	 * 
	 */
	public static final long serialVersionUID = 8751560331987273915L;
	
	public String id;
	public String creatorName;//创建人
	public String creatorMobile;//创建人电话
	public int opType;//充值类型1充值2修改3订餐4转换到福利商城
	public String opTypeStr;
	public String userName;//订餐人
	public String userMobile;//订餐账号
	public int oldIntgrale;//原积分
	public int newIntgrale;//现积分
	public String exchangeIntegral;//每次操作的积分(消费为-12，充值为12)
	public String createTime;//创建时间
	public IntegralRecodeDto(){
		
	}
	public IntegralRecodeDto(String id,int opType, String userName,
			String userMobile, int oldIntgrale, int newIntgrale,
			String exchangeIntegral) {
		super();
		this.id = id;
		this.opType = opType;
		this.userName = userName;
		this.userMobile = userMobile;
		this.oldIntgrale = oldIntgrale;
		this.newIntgrale = newIntgrale;
		this.exchangeIntegral = exchangeIntegral;
	}
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getCreatorName() {
		return creatorName;
	}
	public void setCreatorName(String creatorName) {
		this.creatorName = creatorName;
	}
	public String getCreatorMobile() {
		return creatorMobile;
	}
	public void setCreatorMobile(String creatorMobile) {
		this.creatorMobile = creatorMobile;
	}
	public int getOpType() {
		return opType;
	}
	public void setOpType(int opType) {
		this.opType = opType;
	}
	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public String getUserMobile() {
		return userMobile;
	}
	public void setUserMobile(String userMobile) {
		this.userMobile = userMobile;
	}
	public int getOldIntgrale() {
		return oldIntgrale;
	}
	public void setOldIntgrale(int oldIntgrale) {
		this.oldIntgrale = oldIntgrale;
	}
	public int getNewIntgrale() {
		return newIntgrale;
	}
	public void setNewIntgrale(int newIntgrale) {
		this.newIntgrale = newIntgrale;
	}
	public String getExchangeIntegral() {
		return exchangeIntegral;
	}
	public void setExchangeIntegral(String exchangeIntegral) {
		this.exchangeIntegral = exchangeIntegral;
	}
	public String getCreateTime() {
		return createTime;
	}
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}
	public String getOpTypeStr() {
		return opTypeStr;
	}
	public void setOpTypeStr(String opTypeStr) {
		this.opTypeStr = opTypeStr;
	}
	

}
